#!/bin/sh
centos_repo_archive="/root/master-node-scripts/centos-fuel-5.0-stable-updates.tgz"
ubuntu_repo_archive="/root/master-node-scripts/ubuntu-fuel-5.0-stable-updates.tgz"

### functions ###

prepare_versioned_puppet() {
  if [ -d "/etc/puppet/modules" ]; then
    mkdir -p "/etc/puppet/5.0"
    cp -r "/etc/puppet/modules" "/etc/puppet/5.0/"
    cp -r "/etc/puppet/manifests" "/etc/puppet/5.0/"
    cp -r "/etc/puppet/5.0" "/etc/puppet/5.1"
  fi
}

create_versions_files() {
cat > "/etc/puppet/5.0/manifests/centos-versions.yaml" <<EOF
---
openstack-glance: "2013.2.2.fuel4.1-mira5"
EOF

cat > "/etc/puppet/5.1/manifests/centos-versions.yaml" <<EOF
---
openstack-glance: "2013.2.2.fuel4.1-mira999"
EOF

cat > "/etc/puppet/5.0/manifests/ubuntu-versions.yaml" <<EOF
---
glance-api: 1:2013.2.2.fuel4.1~mira2
EOF

cat > "/etc/puppet/5.1/manifests/ubuntu-versions.yaml" <<EOF
---
glance-api: 1:2013.2.2.fuel4.1~mira999
EOF
}

untar_repos() {
  cd /var/www/nailgun
  if [ $? -gt 0 ]; then
    echo "Cannot cd to /var/www/nailgun!"
    exit 1
  fi
  if ! [ -d "centos-fuel-5.0-stable-updates" ]; then
    tar -xpvf "${centos_repo_archive}"
  fi
  if ! [ -d "ubuntu-fuel-5.0-stable-updates" ]; then
    tar -xpvf "${ubuntu_repo_archive}"
  fi
}

## MAIN ##

prepare_versioned_puppet
create_versions_files
#untar_repos
